Package com.sap.ai.sdk.foundationmodels.openai.model

# Class OpenAiContentFilterSeverityResult

java.lang.Object
com.sap.ai.sdk.foundationmodels.openai.model.OpenAiContentFilterResultBase
com.sap.ai.sdk.foundationmodels.openai.model.OpenAiContentFilterSeverityResult

@Deprecated public class OpenAiContentFilterSeverityResult extends OpenAiContentFilterResultBase
Deprecated.
Information about the content filtering results.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `OpenAiContentFilterSeverityResult.Severity`
  Deprecated.
  The severity of the content.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpenAiContentFilterSeverityResult()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  Deprecated.
  `boolean`
  `equals(Object o)`
  Deprecated.
  `OpenAiContentFilterSeverityResult.Severity`
  `getSeverity()`
  Deprecated.
  Severity of the content.
  `int`
  `hashCode()`
  Deprecated.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class com.sap.ai.sdk.foundationmodels.openai.model.OpenAiContentFilterResultBase

  `isFiltered`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OpenAiContentFilterSeverityResult

    public OpenAiContentFilterSeverityResult()
    Deprecated.

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Deprecated.
    Overrides:
      `equals` in class `OpenAiContentFilterResultBase`

  - ### canEqual

    protected boolean canEqual(Object other)
    Deprecated.
    Overrides:
      `canEqual` in class `OpenAiContentFilterResultBase`

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `OpenAiContentFilterResultBase`

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `OpenAiContentFilterResultBase`

  - ### getSeverity

    @Nonnull public OpenAiContentFilterSeverityResult.Severity getSeverity()
    Deprecated.
    Severity of the content.